diff options
author | Joshua Shreve <j.a.shreve@gmail.com> | 2021-07-25 22:05:57 -0400 |
---|---|---|
committer | Joshua Shreve <j.a.shreve@gmail.com> | 2021-07-25 22:05:57 -0400 |
commit | 088c734fae85d517c732948a0877e9eca9fcef53 (patch) | |
tree | 392f0f440fc5ecbf55dfc440e6a318481b426dff /src | |
parent | e01ad9e719fe65d55326b27430dd72967576e301 (diff) |
Fixed minor gaps in carbonfet cluster due to other fixes to default cluster. Fixed screw_cbore_diameter which was applied as a radius, doubling the hole size.
Diffstat (limited to 'src')
-rw-r--r-- | src/dactyl_manuform.py | 8 |
1 files changed, 5 insertions, 3 deletions
diff --git a/src/dactyl_manuform.py b/src/dactyl_manuform.py index 3948c98..29863f1 100644 --- a/src/dactyl_manuform.py +++ b/src/dactyl_manuform.py @@ -103,10 +103,12 @@ mount_width = keyswitch_width + 2 * plate_rim mount_height = keyswitch_height + 2 * plate_rim mount_thickness = plate_thickness -if default_1U_cluster: +if default_1U_cluster and thumb_style=='DEFAULT': double_plate_height = (.7*sa_double_length - mount_height) / 3 -else: +elif thumb_style=='DEFAULT': double_plate_height = (.95*sa_double_length - mount_height) / 3 +else: + double_plate_height = (sa_double_length - mount_height) / 3 if oled_mount_type is not None and oled_mount_type != "NONE": left_wall_x_offset = oled_left_wall_x_offset_override @@ -2671,7 +2673,7 @@ def baseplate(wedge_angle=None): loc = hole.Center() hole_shapes.append( translate( - cylinder(screw_cbore_diameter, screw_cbore_depth), + cylinder(screw_cbore_diameter/2.0, screw_cbore_depth), (loc.x, loc.y, 0) # (loc.x, loc.y, screw_cbore_depth/2) ) |